
package de.ivu.elect.presentation.kandidatur;

import javax.inject.Inject;

import de.ivu.elect.presentation.kandidatur.form.ListenkandidaturViewFormBuilder;

public class ListenkandidaturCreateViewHelper extends AbstractListenkandidaturCreateViewHelper {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient ListenkandidaturViewFormBuilder listenkandidaturViewFormBuilder;

  public ListenkandidaturCreateViewHelper() {
    super();
  }

  @Override
  public String getViewId() {
    return ListenkandidaturCreateView.VIEW_ID;
  }

  @Override
  public String getParentViewId() {
    return ListenkandidaturCreateView.PARENT_VIEW_ID;
  }

  @Override
  protected ListenkandidaturViewFormBuilder getViewFormBuilder() {
    return listenkandidaturViewFormBuilder;
  }
}
